﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_parse_values
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Enter values to parse.
        private void Form1_Load(object sender, EventArgs e)
        {
            txtInt.Text = "2147483647";
            txtLong.Text = "9223372036854775807";
            txtDecimal.Text = "$-12.34";
            txtDecimal2.Text = "$-12.34";
            txtDateTime.Text = "1 April 2010 23:45:12.34567";
        }

        // Parse an int.
        private void txtInt_TextChanged(object sender, EventArgs e)
        {
            try
            {
                int value = int.Parse(txtInt.Text);
                lblInt.Text = value.ToString();
            }
            catch
            {
                lblInt.Text = "Error";
            }
        }

        // Parse a long.
        private void txtLong_TextChanged(object sender, EventArgs e)
        {
            try
            {
                long value = long.Parse(txtLong.Text);
                lblLong.Text = value.ToString();
            }
            catch
            {
                lblLong.Text = "Error";
            }
        }

        // Parse a decimal normally.
        private void txtDecimal_TextChanged(object sender, EventArgs e)
        {
            try
            {
                decimal value = decimal.Parse(txtDecimal.Text);
                lblDecimal.Text = value.ToString();
            }
            catch
            {
                lblDecimal.Text = "Error";
            }
        }

        // Parse a decimal with any format.
        private void txtDecimal2_TextChanged(object sender, EventArgs e)
        {
            try
            {
                decimal value = decimal.Parse(
                    txtDecimal2.Text, 
                    System.Globalization.NumberStyles.Any);
                lblDecimal2.Text = value.ToString();
            }
            catch
            {
                lblDecimal2.Text = "Error";
            }
        }

        // Parse a DateTime.
        private void txtDateTime_TextChanged(object sender, EventArgs e)
        {
            try
            {
                DateTime value = DateTime.Parse(txtDateTime.Text);
                lblDateTime.Text = value.ToString();
            }
            catch
            {
                lblDateTime.Text = "Error";
            }
        }
    }
}
